def experiments():
    print(
'''
#Exp 01:

import pandas as pd
df = pd.read_excel("rtrial.xlsx")
df.shape
df.info()
df["x"].mean()
df["x"].median()
df["x"].mode()

df["x"].skew()
df["x"].kurt()
df["x"].max()
df["x"].min()

print(df["x"].max()-df["x"].min())

df["x"].std()
df["x"].var()


#Exp 02: Inferential statitics
import pandas as pf
import numpy as np
import math
df = pd.read_csv("facebook.csv")
df.info()
df.isnull().sum()
df.shape

sample = df["age"][np.argsort(np.random.rand(47))[:30]]
smean = sample.mean()
mean = df["age"].mean()
print(mean)
N=47
std = df["age"].std()
z = (smean-mean)/std/math.sqrt(N)
if(z>1.96):
    print("Value is rejected")
else:
    print("Value is accepted")



#Exp 03: Imputation methods
#1) CCA wala
import pandas as pd
df = pd.read_csv("facebook.csv")
df.isnull().sum()
df.dropna(axis=0)

#2) Random wala
df.isnull().sum()
df = df.fillna("Missing")

#3) Max wala value:
x = df["age"].mode()
print(x)
df = df.fillna(int(x))
print(df)



#Exp 04:
import numpy as np
import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt

df = pd.read_csv("facebook.csv")

#Histogram
plt.hist(df["age"])
plt.show()

#Quartile
plt.boxplot(df["dob_year"])
plt.show()

#Distribution chart
sns.distplot(df["age"])
plt.show()

#Scatterplot
plt.scatter(df["age"], df["dob_year"])
plt.show()

#ScatterMultiple
plt.scatter(df["age"], df["dob_year"])
plt.scatter(df["dob_day"], df["tenure"])
plt.show()

#Scatter Matrix
import plotly.express as pl
pl.scatter_matrix(df)

#Bubble Chart
import numpy as np
x = np.random.rand(50)
y = np.random.rand(50)
z = np.random.rand(50)
plt.scatter(x,y,z*1000)
plt.show()

#Density chart
df["age"].plot.density()

#Parrallehart
import plotly.express as pl
dim = ['userid', 'age']
pl.parallel_coordinates(df, dimensions=dim).show()

#Deviation graph
data=df["age"]
df=pd.DataFrame({"x":data, 
              'y':[i for i in range(len(data))], 
              'z':[i for i in range(len(data))]})
df.plot()
plt.show()


#Exp 5:

import pandas as pd
import numpy as np
from matplotlib.pyplot import *
from sklearn.model_selection import train_test_split as split
from sklearn.linear_model import LinearRegression 
from sklearn.metrics import *

df = read_csv('airports.csv')
df=df.dropna()
x = DataFrame(df['lat'])
y = DataFrame(df['long'])

x1, x2, y1, y2 = split(x, y, test_size=0.2)
model= LinearRegression().fit(x1, y1)
yp = model.predict(x2)

scatter(y2,yp)

print('MAE:', mean_absolute_error(y2, yp))
print('RMSE:', np.sqrt(mean_squared_error(y2, yp))) 
print('MAPE:', mean_absolute_percentage_error(y2, yp))



#Exp 6:

from pandas import *
from collections import Counter
from imblearn.over_sampling import SMOTE
from sklearn.model_selection import train_test_split as split

df = read_csv('data.csv')

x = df.drop(['Role','Quu'],axis=1)
y = df['College']

x1, x2, y1, y2 = split(x, y, test_size=0.2)

print('Before', Counter(y1))
X, Y = SMOTE().fit_resample(x1, y1)
print('After', Counter(Y))


# exp 07 (k_means wala):

from sklearn.cluster import KMeans
from pandas import *
from matplotlib.pyplot import *

df = read_csv('airports.csv')
x = df['lat']
y = df['long']
data = list(zip(x, y))
kmeans = KMeans(n_clusters=2).fit(data)
scatter(x, y, c=kmeans.labels_)

# exp 08 :
from matplotlib.pyplot import *
df = read_csv('tested.csv') 
rollingseries = df["Age"].rolling(window=5) 
rollingmean = rollingseries.mean()  
rollingmean.plot(color="red",ylabel="Humidity",title="Humidity Rolling Mean") 
show()

'''
        )

    
    
    
